from .models import *
from django.contrib import admin

class PatientAdmin(admin.ModelAdmin):
#    fields = ['pub_date', 'question']
    list_display = ('name', 'medical_records')

#admin.site.register(Patient, PatientAdmin)

class TreatmentAdmin(admin.ModelAdmin):
#    fields = ['pub_date', 'question']
    list_display = ('patient', 'icd9', 'oncologist', 'surgeon', 'date_completed', 'memo')
    list_filter = ['oncologist', 'surgeon', 'date_completed', 'accounting']
#    search_fields = ['date_started', 'date_completed']
    date_hierarchy = 'date_completed'

admin.site.register(Treatment, TreatmentAdmin)

class LesionAdmin(admin.ModelAdmin):
    list_display = ('treatment_id', 'sub_location_target_location', 'pathology')
    list_filter = ['pathology']


admin.site.register(Lesion, LesionAdmin)

